% Ex 4: Arithmetic of HDR images
% This is a part of the tone-mapping workshop 
% (c) 2012 Rafal Mantiuk

img = hdrread( 'slate_mines.hdr' );
%img = hdrread( 'memorial.hdr' );

%%

%imshow( cat( 2, lin2srgb( img_src), lin2srgb( img_src*4 ) ) );

imshow( cat( 2, lin2srgb( img_src), lin2srgb( img_src.^0.5 ) ) );

%imshow( cat( 2, lin2srgb( img_src), lin2srgb( img_src + 0.1 ) ) );
